Loading...
Searching...
No Matches
restinio::utils::impl::bitops::details Namespace Reference

## Classes

struct | bits_count
struct | bits_count< char >
struct | bits_count< std::int16_t >
struct | bits_count< std::int32_t >
struct | bits_count< std::int64_t >
struct | bits_count< std::int8_t >
struct | bits_count< std::uint16_t >
struct | bits_count< std::uint32_t >
struct | bits_count< std::uint64_t >
struct | bits_count< std::uint8_t >

## Functions

template<typename T >
constexpr T | mask (unsigned bits_to_extract)

## Function Documentation

## mask()

template<typename T >

constexpr T restinio::utils::impl::bitops::details::mask | ( | unsigned | bits_to_extract | ) |

constexpr

Definition at line 24 of file bitops.hpp.